<!DOCTYPE html>
<html lang="en">
{% load static %}

<head>
    <meta charset="UTF-8">
    <title>RESULTATS DE RECHERCHE</title>

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" href="{% static 'style/style.css'%}">
    <link rel="stylesheet" href="{% static 'style/production.css'%}">
    <link rel="icon" type="image/png" href= "{% static 'images/logo.png' %}" alt="Logo AssurOne"/>
</head>
<body>

<h1 class ="h1center" >recherche <code>PLI</code></h1>

{% csrf_token %}

{% include 'menu.html' %}

{% include 'formulaire_recherche.html' %}

<!-- <h2>Resultats de recherche dans la base de données</h2> -->

<table class="table" style = "margin-top: 30px;">
  <caption>Affichage des resultats</caption>
  <thead>
    <tr>
      <th scope="col">Nom du document</th>
      <th scope="col">Numéro de contrat</th>
      <th scope="col">Type de production</th>
      <!-- <th scope="col">Branche / Produit / Type Document</th> -->
      <th scope="col">Date Traitement</th>
      <th scope="col">Date Impression</th>
      <th scope="col">Numéro recommandé</th>
      <th scope="col">Etat</th>
      <th scope="col">Cout du pli</th>
      <th scope="col">Prestaire</th>
    </tr>
  </thead>
  <tbody>
  {% for pli in plis %}
    <tr>
      <th scope="row"><div class="rectangle rectangle-big rectangle-gris">{{pli.0}}<div class="infobulle">Branche : {{pli.5}}<br> Produit : {{pli.6}}<br>Type Document : {{pli.9}}</div></div></th>
      <td>{{pli.4}}</td>
      <td>
        {% if pli.11 == "TERMES"%}<img src="{% static 'images/TERMES.png' %}" height=20px  alt=""/>
        {% elif pli.11 == "LR"%}<img src="{% static 'images/RECOMMANDE.png' %}" height=20px  alt=""/>
        {% elif pli.11 == "LC"%}<img src="{% static 'images/reportage.png' %}" height=20px  alt=""/>
        {% elif pli.11 == "GESTION"%}<img src="{% static 'images/GESTION.png' %}" height=20px  alt=""/>{% endif %}

      {{pli.11}} / {{pli.12}}</td>
      <!-- <td>{{pli.5}} / {{pli.6}} / {{pli.9}}</td> -->
      <td>{{pli.2}}</td>
      <td>{{pli.3}}</td>

      <td>{% if pli.14 != "" %} <img src="{% static 'images/La-Poste-Logo.png' %}" height=20px  alt=""/> <a href=http://www.pro.csuivi.courrier.laposte.fr/suivi/index?id={{pli.14}} target="_blank">{{pli.14}}</a>{% endif %}</td>
      <!-- Suivi envoie -->
      <td>
        {% if pli.19 == "IMPRESSION" %}
          {% if pli.10 == 0 %}
            <img src="{% static 'images/imprimante.png' %}" height=20px  alt=""/> Traitement en cours
          {% elif pli.10 == 1 %}
            <img src="{% static 'images/proche.png' %}" height=20px  alt=""/> <font color=red>PND</font>
          {% elif pli.10 == 2 %}
            <img src="{% static 'images/proche.png' %}" height=20px  alt=""/> <font color=red>PND (Adresse incorrecte)</font>
          {% elif pli.10 == 3 %}
            <img src="{% static 'images/proche.png' %}" height=20px  alt=""/> <font color=red>PND (Défaut d'adressage)</font>
          {% elif pli.10 == 4 %}
            <img src="{% static 'images/proche.png' %}" height=20px  alt=""/> <font color=red>PND (Pli refusé)</font>
          {% elif pli.10 == 5 %}
            <img src="{% static 'images/proche.png' %}" height=20px  alt=""/> <font color=red>PND (Délai d'instance dépassé)</font>
          {% elif pli.10 == 6 %}
            <img src="{% static 'images/approuve.png' %}" height=20px  alt=""/> <font color=green>Pli distribué</font>
          {% elif pli.10 == 7 %}
            <img src="{% static 'images/coche.png' %}" height=20px  alt=""/> <font color=green>Envoyé</font>
          {% endif %}
        {% elif pli.19 == "EMAIL" %}
         <img src="{% static 'images/email.png' %}" height=20px  alt=""/> Envoie email
        {% endif %}

    </td>
      <td><div class="rectangle rectangle-big rectangle-gris">{{pli.18}} €
        {% if pli.19 == "IMPRESSION" %}<div class="infobulle">Consommables : {{ pli.15 }} €<br>Traitement : {{ pli.16 }} €<br>Affranchissement : {{ pli.17 }} €{% endif %}
        </div>
      </div></td>
      <td>
        {% if pli.13 == "COGEPRINT" %}<img src="{% static 'images/COGEPRINT.png' %}" height=20px  alt=""/>
        {% elif pli.13 == "PREVOIR" %}<img src="{% static 'images/PREVOIR.png' %}" height=20px  alt=""/>
        {% elif pli.13 == "MAILEVA" %}<img src="{% static 'images/MAILEVA.png' %}" height=20px  alt=""/>
        {% elif pli.13 == "ASSURONE" %}<img src="{% static 'images/ASSURONE.png' %}" height=20px  alt=""/>
        {% else %}{{ pli.13 }}
        {% endif %}
      </td>
    </tr>
  {% endfor %}
  </tbody>
</table>
</body>
</html>